Department: EEIS Affected Products: ADTF 3.6.3
Support Level: 2nd Level Topic: ADTF::CE

Resolution: Known Problem FAQ Links:

Description

Supportanfrage

Ich habe heute versucht mein Hil-Filter-Projekt auf einen andren Rechner zu portieren. Die Portierung war beim ersten mal
erfolgreich, nach dem abspeichern und neu &ffnen verschwindet jedoch der Pfad zu den plugindescriptions und es muss neu
eingerichtet werden. Ich vermute, dass etwas beim 6ffnen des Projekts lberschrieben wird, da wenn ich das Projekt Gber den
launcher starte scheint alles zu funktionieren.

Habt ihr eine Idee voran es liegen kénnte?
Besonderheit, bei dem Rechner ist: Adtf3 ist im opt-Ordner installiert (normalerweise installiere ich immer in Home)
Lésung

ja, das ist bekannt, betrifft plattformunbhé&ngig die User, die keine Schreibrechte am Speicherort haben.
Der CE validiert leider nicht, ob das Speichern erfolgreich war, da dies implizit im Model geschieht.

Zu ADTF 3.7.0 wurde das Verhalten geandert, der Speicherort des cesettings File ist nicht mehr <ADTF_DIR>/settings (hier liegt nur
noch das Initialfile der Lieferung, wird aber nur kopiert und ist zum restore gedacht) sondern wird ins User Verzeichnis
versionabhangig kopiert.

Damit gelten die Settings pro User und pro Version.

Weiterhin kann der CE mit --settings <my_settings.cesettings> gestartet werden (z.B. um Projektabhangige Einstellungen zu laden).
Das ware auch dein Workaround firr 3.6.3, alternativ im /home Verzeichnis ablegen.

History

#1 - 2020-04-22 07:54 - hidden

- Status changed from New to Customer Feedback Required
- Private changed from Yes to No

- Topic set to ADTF::CE

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10378

Hi Waldemar,

ja, das ist bekannt, betrifft plattformunbhéngig die User, die keine Schreibrechte am Speicherort haben.
Der CE validiert leider nicht, ob das Speichern erfolgreich war, da dies implizit im Model geschieht.

Zu ADTF 3.7.0 wurde das Verhalten gedndert, der Speicherort des cesettings File ist nicht mehr <ADTF_DIR>/settings (hier liegt nur noch das
Initialfile der Lieferung, wird aber nur kopiert und ist zum restore gedacht) sondern wird ins User Verzeichnis versionabhangig kopiert.

Damit gelten die Settings pro User und pro Version.

Weiterhin kann der CE mit --settings <my_settings.cesettings> gestartet werden (z.B. um Projektabhangige Einstellungen zu laden).

Das wére auch dein Workaround fir 3.6.3, alternativ im /home Verzeichnis ablegen.

#2 - 2020-04-23 15:57 - hidden
Danke fir die Tipps, ich warte lieber auf die 3.7 :)
#3 - 2020-04-23 16:40 - hidden

- Subject changed from Pfad zu plugindescription wird nicht richtig gespeichert to Defined paths for plugindesccriptions will not be stored in cesettings
file

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed
